#
# spec file for package libgrss
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgrss
Version:        0.7.0
Release:        2.3
Url:            http://live.gnome.org/Libgrss
Summary:        Library for easy management of RSS/Atom/Pie feeds
License:        LGPL-3.0+
Group:          System/Libraries
Source:         http://download.gnome.org/sources/libgrss/0.7/%{name}-%{version}.tar.xz
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  intltool >= 0.40.6
BuildRequires:  pkgconfig(gobject-2.0) >= 2.30.2
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.48.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.9.2

%description
LibGRSS is a library for easy management of RSS/Atom/Pie feeds.

%package -n libgrss0
Summary:        Library for easy management of RSS/Atom/Pie feeds
Group:          System/Libraries

%description -n libgrss0
LibGRSS is a library for easy management of RSS/Atom/Pie feeds.

%package -n typelib-1_0-Grss-0_7
Summary:        Library for easy management of RSS/Atom/Pie feeds - Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Grss-0_7
LibGRSS is a library for easy management of RSS/Atom/Pie feeds.
This package provides the GObject Introspection bindings for the
libgrss library.

%package devel
Summary:        Library for easy management of RSS/Atom/Pie feeds -- Development Files
Group:          Development/Libraries/GNOME
Requires:       libgrss0 = %{version}

%description devel
LibGRSS is a library for easy management of RSS/Atom/Pie feeds -- Development Files.

%prep
%setup -q

%build
%configure \
    --disable-static
%__make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%post -n libgrss0 -p /sbin/ldconfig

%postun -n libgrss0 -p /sbin/ldconfig

%files -n libgrss0
%defattr(-, root, root)
%doc COPYING NEWS README
%{_libdir}/libgrss.so.*

%files -n typelib-1_0-Grss-0_7
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Grss-0.7.typelib

%files devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/libgrss/
%{_datadir}/gir-1.0/Grss-0.7.gir
%{_includedir}/libgrss/
%{_libdir}/libgrss.so
%{_libdir}/pkgconfig/libgrss.pc

%changelog
* Fri Apr 15 2016 hpj@suse.com
- Update to GNOME 3.20 -- Fate#318572.
* Tue Jul 21 2015 zaitor@opensuse.org
- Update to version 0.7.0:
  + Added new type GrssPerson which stores name, email and website
    URI. All author/contributors stuff now uses it.
  + Fixes in GObject Introspection.
  + Documentation now contains more.
  + Library now names as libgrss.so with sover.
  + pkg-config file no more versioned, this will allow to not
    monkey-patching dependent programs.
  + Autotools configs was updated.
- Changes from version 0.6.0:
  + Added GrssFeedFormatter and related subclasses to format a
    GrssFeedChannel in plain rappresentation.
  + More utility functions.
  + Support for GObject Introspection.
  + Introduction of basic test suite.
  + Misc bugfixes.
- Drop libgrss-missing-includes.patch: fixed upstream.
- Add intltool BuildRequires: new dependency.
- Rename packages following upstreams soname changes.
- Add pkgconfig(gobject-introspection-1.0) BuildRequires: Build the
  new introspection support.
- Following the above, package the new introspection sub-package.
* Sun May 12 2013 dimstar@opensuse.org
- Add libgrss-missing-includes.patch: Add missing include of
  arpa/inet.h.
* Wed Mar  7 2012 zaitor@opensuse.org
- Update to version 0.5.0:
  + Complete API break: all object and function names moved to
    "grss" namespace.
  + Added GrssFeedsPublisher to expose feeds contents as files or
    by local server.
  + Added GrssFeedsSubscriber to subscribe PubSubHubBub and
    RSSCloud services.
  + Added support for XOXO and XBEL in GrssFeedsGroups.
  + Improved error reporting.
  + More asyncronous utility functions to fetch contents.
  + Bugfixes.
* Fri Sep  3 2010 vuntz@opensuse.org
- Fix typo to really enable parallel build.
* Thu Aug 12 2010 vuntz@opensuse.org
- Initial package (version 0.4.0).
